Package javassist.tools.reflect

# Class CannotReflectException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javassist.CannotCompileException
javassist.tools.reflect.CannotReflectException

All Implemented Interfaces:
  `Serializable`

public class CannotReflectException extends CannotCompileException
Thrown by `makeReflective()` in `Reflection` when there is an attempt to reflect a class that is either an interface or a subclass of either ClassMetaobject or Metaobject.

Author:
  Brett Randall
See Also:
  - `Reflection.makeReflective(CtClass,CtClass,CtClass)`
  - `CannotCompileException`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CannotReflectException(String msg)`

## Method Summary

### Methods inherited from class javassist.CannotCompileException

`getCause, getReason, initCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CannotReflectException

public CannotReflectException(String msg)